## ros-melodic-jderobot-assets 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jderobot_assets)

## ROS INSTALL ##

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY models worlds perspectives urdf
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## JDEROBOT INSTALL ##

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set (CMAKE_INSTALL_PREFIX /opt/jderobot/share/jderobot/
         CACHE PATH "default install path" FORCE)
endif()

set (MODELS ${CMAKE_INSTALL_PREFIX}/gazebo/models)
set (WORLDS ${CMAKE_INSTALL_PREFIX}/gazebo/worlds)

configure_file (
    assets-setup.sh.in
    assets-setup.sh
)

install(DIRECTORY models worlds launch
DESTINATION gazebo)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/assets-setup.sh 
DESTINATION gazebo)


include(cpackit.cmake)

=== models/vrc_heightmap_1/CMakeLists.txt ===
set(MODEL_NAME vrc_heightmap_1)
set (files 
  model.config 
  model.sdf
)

add_subdirectory(materials)

install(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/gazebo_models/environments/${MODEL_NAME}/)

=== models/hokuyo/meshes/CMakeLists.txt ===
SET (files 
hokuyo_convex.stl
hokuyo.dae
)

INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gazebo-${GAZEBO_VERSION}/media/models/hokuyo COMPONENT core)

=== debian/changelog ===
ros-melodic-jderobot-assets (1.0.4-3stretch) stretch; urgency=high

  * Launching turtlebot line follower fix
  * Fixed turtlebot3 line following
  * Added perspectives.
  * Update car_1_junction.world
  * Create f1_1_circuit.launch
  * Update kobuki_1_reconstruccion3d.world
  * Contributors: JoseMaria Cañas, Sakshay Mahna, Shreyas Gokhale, pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-melodic-jderobot-assets (1.0.2-3stretch) stretch; urgency=high

  * Added models needed for drone-gymkhana exercise
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 21 Apr 2020 22:00:00 -0000

ros-melodic-jderobot-assets (1.0.1-3stretch) stretch; urgency=high

  * Fix build fail in Debian stretch for ros melodic
  * fix double scene tag simple_circuit
  * remove catkin deps
  * fix car material and circuit lights
  * Contributors: Francisco Perez, Nikhil Khedekar, Ojit

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 24 Mar 2020 23:00:00 -0000

ros-melodic-jderobot-assets (1.0.0-3stretch) stretch; urgency=high

  * Merged branches
  * solved conflicts
  * Contributors: Francisco Perez, Francisco Pérez, Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-melodic-jderobot-assets (0.1.0-3stretch) stretch; urgency=high

  * updated perspective
  * added mouse and world
  * removed iris model from world file
  * removed plugins
  * added drone_hangar
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-melodic-jderobot-assets (0.0.2-3stretch) stretch; urgency=high

  * updated dependancies
  * switched to car with beacon
  * added follow_turtlebot
  * added perspectives
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 01 Aug 2019 22:00:00 -0000

ros-melodic-jderobot-assets (0.0.1-3stretch) stretch; urgency=high

  * added position control
  * added rescue people
  * added visual_lander
  * added catkin package with follow road and labyrinth models and worlds
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-jderobot-assets
Section: misc
Priority: optional
Maintainer: Nikhil Khedekar <nikhilvkhedekar@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jderobot-assets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The jderobot_assets package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jderobot-assets//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
